Plank.Factory – plank Reference Manual

# Factory

## Object Hierarchy:

## Description:

public class Factory : Object

The main factory class for the dock.

Namespace: Plank
Package: plank

## Content:

### Static methods:

- public static void init (AbstractMain main_class, ItemFactory item)
  Initializes the factory class.

### Creation methods:

- public Factory ()

### Fields:

- public static AbstractMain main
  The main class.
- public static ItemFactory item_factory
  The item factory.

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count